package org.gateway.home.tmaestroTeacherService.iface;

import java.util.Vector;


public class TeacherToolsGroup {
	
	private Vector<TeacherTool> teacherTools = null;
	private String id;
	private String itemName;
	private String shortItemName;
	private String state;	
	private String resourceUrl;
	private String title;
	private String icon;
	
	public TeacherToolsGroup() {
		id = "";
		itemName = "";
		shortItemName = "";
		state = "";
		resourceUrl = "";	
		title = "";
		icon ="";
		teacherTools = new Vector<TeacherTool>();
	}
	public String getId(){
		return this.id;			
	}

	public void setId(String id) {
		this.id = id;
		
	}
		
	public String getItemName(){
		return this.itemName;
	}
	
		
	public String getShortItemName(){
		return this.shortItemName;
	}
	
	public void setShorItemName(String shortName){
		this.shortItemName = shortName;
	}
	
	public String getState(){
		return this.state;
	}
	
	public String getResourceUrl (){
		return this.resourceUrl;
	}
	
	public void setResourceUrl(String resourceUrl){
		this.resourceUrl = resourceUrl;
	}
	
	public void setItemName(String name) {
		 this.itemName = name;
			
		}


	public void setTitle(String title) {
		this.title = title;		
	}


	public void setState(String state) {
		this.state= state;

	}


	public String getTitle() {
		return this.title;
	}
	
	public Vector<TeacherTool> getTeacherTools() {
		return teacherTools;
	}
	
	public void addTeacherTool(TeacherTool teacherTool) {
		teacherTools.add(teacherTool);
	}
	
	public void removeTeacherTool(String teacherToolId) {
		teacherTools.remove(teacherToolId);
	}
	
	public String getListTeacherTools() {
		String currentChildList = "";
		
		for (TeacherTool teacherTool : teacherTools) {
			if (currentChildList.equals("")) {
				currentChildList = "teacherTool" + "." + teacherTool.getId();
			} else {
				currentChildList = currentChildList + "," + "teacherTool" + "." + teacherTool.getId();
			}
		}
		
		return currentChildList;
	}

	public String getIcon() {
		return icon;
	}


	public void setIcon(String icon) {
		this.icon = icon;
	}
	
}
